from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import File, String, Int, Boolean

Qcembedder_V0_1_0 = CommandToolBuilder(tool="QCEmbedder", base_command=["QCEmbedder"], inputs=[ToolInput(tag="in_in", input_type=File(optional=True), prefix="-in", doc=InputDocumentation(doc="Input qcml file (valid formats: 'qcML')")), ToolInput(tag="in_qp_att_acc", input_type=String(optional=True), prefix="-qp_att_acc", doc=InputDocumentation(doc="Defines the qp cv accession of the qp to which the table/image is attached.")), ToolInput(tag="in_cv_acc", input_type=String(optional=True), prefix="-cv_acc", doc=InputDocumentation(doc="*     Defines the cv accession of the attachment.")), ToolInput(tag="in_run", input_type=File(optional=True), prefix="-run", doc=InputDocumentation(doc="The file that defined the run under which the qp for the attachment is aggregated as mzML file. The file is only used to extract the run name from the file name. (valid formats: 'mzML')")), ToolInput(tag="in_name", input_type=File(optional=True), prefix="-name", doc=InputDocumentation(doc="If no file for the run was given (or if the target qp is contained in a set), at least a name of the target run/set containing the the qp for the attachment has to be given.")), ToolInput(tag="in_plot", input_type=File(optional=True), prefix="-plot", doc=InputDocumentation(doc="If a plot image is to be attached to a qp, this has to be specified here. (valid formats: 'PNG')")), ToolInput(tag="in_table", input_type=File(optional=True), prefix="-table", doc=InputDocumentation(doc="If a table is to be attached to a qp, this has to be specified here. (valid formats: 'csv')")), ToolInput(tag="in_out", input_type=File(optional=True), prefix="-out", doc=InputDocumentation(doc="*          Output extended qcML file (valid formats: 'qcML')")), ToolInput(tag="in_ini", input_type=File(optional=True), prefix="-ini", doc=InputDocumentation(doc="Use the given TOPP INI file")), ToolInput(tag="in_threads", input_type=Int(optional=True), prefix="-threads", doc=InputDocumentation(doc="Sets the number of threads allowed to be used by the TOPP tool (default: '1')")), ToolInput(tag="in_write_ini", input_type=File(optional=True), prefix="-write_ini", doc=InputDocumentation(doc="Writes the default configuration file")), ToolInput(tag="in_helphelp", input_type=Boolean(optional=True), prefix="--helphelp", doc=InputDocumentation(doc="Shows all options (including advanced)"))], outputs=[ToolOutput(tag="out_out", output_type=File(optional=True), selector=InputSelector(input_to_select="in_out", type_hint=File()), doc=OutputDocumentation(doc="*          Output extended qcML file (valid formats: 'qcML')"))], container="quay.io/biocontainers/openms:2.6.0--h4afb90d_0", version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Qcembedder_V0_1_0().translate("wdl")

